Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class Modifiers

    java.lang.Object
      javafe.ast.Modifiers
          escjava.ast.Modifiers

public class Modifiers
extends Modifiers

This class adds some JML-specific modifiers to the usual Java set.

Field Summary
`static int` | `ACC_DESUGARED`
`static int` | `ACC_HELPER`
`static int` | `ACC_MODEL`

Fields inherited from class javafe.ast.Modifiers
`ACC_ABSTRACT, ACC_FINAL, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SYNCHRONIZED, ACC_TRANSIENT, ACC_VOLATILE, ACCESS_MODIFIERS, NONE, SIZE_MODIFIER_BITSET`

Constructor Summary
`Modifiers()`

Method Summary
`static boolean` | `isHelper(int modifiers)`
`static boolean` | `isModel(int modifiers)`
`static java.lang.String` | `toString(int modifiers)`

Methods inherited from class javafe.ast.Modifiers
`isAbstract, isFinal, isNative, isPackage, isPrivate, isProtected, isPublic, isStatic, isStrictFP, isSynchronized, isVolatile, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACC_HELPER

    public static final int ACC_HELPER

See Also:
  Constant Field Values

### ACC_MODEL

    public static final int ACC_MODEL

See Also:
  Constant Field Values

### ACC_DESUGARED

    public static final int ACC_DESUGARED

See Also:
  Constant Field Values

Constructor Detail

### Modifiers

    public Modifiers()

Method Detail

### isModel

    public static boolean isModel(int modifiers)

### isHelper

    public static boolean isHelper(int modifiers)

### toString

    public static java.lang.String toString(int modifiers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage